Loading...
Searching...
No Matches
WaterPvtMultiplexer.hpp File Reference

This class represents the Pressure-Volume-Temperature relations of the water phase in the black-oil model. More...

`#include <opm/material/fluidsystems/blackoilpvt/BrineCo2Pvt.hpp>`
`#include <opm/material/fluidsystems/blackoilpvt/BrineH2Pvt.hpp>`
`#include <opm/material/fluidsystems/blackoilpvt/ConstantCompressibilityWaterPvt.hpp>`
`#include <opm/material/fluidsystems/blackoilpvt/ConstantCompressibilityBrinePvt.hpp>`
`#include <opm/material/fluidsystems/blackoilpvt/WaterPvtThermal.hpp>`

Go to the source code of this file.

## Classes

class | Opm::WaterPvtMultiplexer< Scalar, enableThermal, enableBrine >
| This class represents the Pressure-Volume-Temperature relations of the water phase in the black-oil model. More...

## Namespaces

namespace | Opm
| This class implements a small container which holds the transmissibility mulitpliers for all the faces in the grid.

## Macros

#define | OPM_WATER_PVT_MULTIPLEXER_CALL(codeToCall, ...)

## Enumerations

enum class | WaterPvtApproach { NoWater , ConstantCompressibilityBrine , ConstantCompressibilityWater , ThermalWater , BrineCo2 , BrineH2 }

## Detailed Description

This class represents the Pressure-Volume-Temperature relations of the water phase in the black-oil model.

## Macro Definition Documentation

## OPM_WATER_PVT_MULTIPLEXER_CALL

#define OPM_WATER_PVT_MULTIPLEXER_CALL | ( |  | codeToCall,
|  |  | ... )

Value:
switch (approach_) { \
case WaterPvtApproach::ConstantCompressibilityWater: { \
auto& pvtImpl = getRealPvt<WaterPvtApproach::ConstantCompressibilityWater>(); \
codeToCall; \
__VA_ARGS__; \
} \
case WaterPvtApproach::ConstantCompressibilityBrine: { \
auto& pvtImpl = getRealPvt<WaterPvtApproach::ConstantCompressibilityBrine>(); \
codeToCall; \
__VA_ARGS__; \
} \
case WaterPvtApproach::ThermalWater: { \
auto& pvtImpl = getRealPvt<WaterPvtApproach::ThermalWater>(); \
codeToCall; \
__VA_ARGS__; \
} \
case WaterPvtApproach::BrineCo2: { \
auto& pvtImpl = getRealPvt<WaterPvtApproach::BrineCo2>(); \
codeToCall; \
__VA_ARGS__; \
} \
case WaterPvtApproach::BrineH2: { \
auto& pvtImpl = getRealPvt<WaterPvtApproach::BrineH2>(); \
codeToCall; \
__VA_ARGS__; \
} \
default: \
case WaterPvtApproach::NoWater: \
throw std::logic_error("Not implemented: Water PVT of this deck!"); \
}